.d-flex.align-items-center.justify-content-between
  h1.m-0 Posts
  div
    = link_to 'Create post', new_post_path, class: 'btn btn-primary'
table.table.table-striped.table-hover.mt-5
  thead
    tr
      th[scope="col"] #
      th[scope="col"] Title
      th[scope="col"] Summary
      th[scope="col"] Published
      th.text-end[scope="col"] Actions
  tbody
    - @posts.each do |post|
      tr
        td= post.id
        td= link_to post.title, post_path(post)
        td= post.summary
        td
          .form-check.form-switch= link_to post_path(post), method: :put, data: { remote: true, params: "post[published]=#{!post.published}" }
            input.form-check-input type="checkbox" role="switch" id="published" checked=(post.published ? 'checked' : false)
            label.form-check-label for="published"
        td.text-end
          = link_to 'Edit', edit_post_path(post), class: 'btn btn-sm btn-success me-1'
          = link_to 'Delete', post_path(post), method: :delete, data: { confirm: 'Are your sure?' }, class: 'btn btn-sm btn-danger'